Bug 787248 - Add IE9 user agent support for GWT
Add IE9 user agent support for GWT
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Windows
unspecified Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On: rhq-uxd
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-02-03 11:51 EST by Mike Thompson
Modified: 2013-09-01 06:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Thompson 2012-02-03 11:51:47 EST
As of GWT 2.3.0 support for IE9 browsers is available.


See for additional resources:
http://googlewebtoolkit.blogspot.com/2011/03/update-on-gwt-support-for-ie9.html
http://code.google.com/webtoolkit/doc/latest/DevGuideIE9.html
Comment 1 Mike Thompson 2012-02-03 15:06:05 EST
I'm removing the Doc type according to 
http://forums.smartclient.com/showthread.php?t=8159

also if you look at the examples index.html you will see there is no doctype.


I'm seeing misalignments or other glitches only in IE8.

You have a DOCTYPE tag in your .html bootstrap file that puts IE into Microsoft standards mode.

This is not recommended because new versions of IE continue to come out with non-backwards-compatible 
changes to the renderer which are also not fully standards compliant, but which are enabled by the DOCTYPE
tag.

There is no way for Smart GWT to anticipate which exact standards compliance bugs Microsoft will fix in
future releases of IE. Adding a DOCTYPE tag means that when new versions of IE are released, 
you are gambling that the version of Smart GWT you have deployed happens to run correctly with the
new fixes and inevitable new bugs that are introduced.

Instead, we recommend running in "quirks mode" by simply omitting a DOCTYPE tag from your .html file.
Microsoft makes a significant effort to avoid regressions in quirks mode.

If, for whatever reason, you cannot follow this advice, add this HTML tag to your .html bootstrap tag
to force IE8 to render like IE7, eliminating the misalignment problems and other IE8-specific glitches:

<meta http-equiv="X-UA-Compatible" content="IE=7">

If you add this meta tag and are still seeing visual issues, see the previous FAQ about external CSS and
other common errors.
Comment 2 Mike Thompson 2012-02-03 15:08:57 EST
Disregard the above comment it has already been done. It is running in quirks mode. Which is strange because straight GWT uses standards mode.
Comment 3 Mike Thompson 2012-02-03 18:08:32 EST
commit id: 5cffc6c
Comment 4 Mike Thompson 2012-02-06 10:58:04 EST
Amended the above commit with additional documentation and fallback to ie8 from ie9 as recommended by SmartGWT (http://forums.smartclient.com/showthread.php?t=15973)

Amended Commit: 7ff4624
Comment 5 Heiko W. Rupp 2013-09-01 06:03:43 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.